Package: zsh
Version: 5.2-5+b1
Severity: important

Dear Maintainer,

on upgrading zsh package temporarily removes symlink /usr/bin/zsh breaking
su, sudo -i (without -s /bin/zsh), as well as Plasma desktop login.

Depending on the upgrade duration for the packages to be upgraded it can
leave the system in this broken state for minutes even on SSD systems.

I think this is related to the fix for

zsh: removal leaves dangling symlink /usr/bin/zsh behind
https://bugs.debian.org/823730


Expected outcome: Keep system intact during upgrades.

Thanks,
Martin


-- Package-specific info:
Packages which depend, recommend, suggest or enhance a zsh package and hence 
may provide code meant to be sourced in .zshrc:

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                  Version                 Architecture  
          Description
+++-=====================================-=======================-=======================-===============================================================================
ii  fizsh                                 1.0.7-1                 all           
          Friendly Interactive ZSHell
ii  zsh-syntax-highlighting               0.4.1-1                 all           
          Fish shell like syntax highlighting for zsh
debsums: missing file /etc/fizsh/modify-etc-shells.zsh (from fizsh package)

Packages which provide vendor completions:

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                  Version                 Architecture  
          Description
+++-=====================================-=======================-=======================-===============================================================================
ii  curl                                  7.50.1-1                amd64         
          command line tool for transferring data with URL syntax
ii  git-buildpackage                      0.8.5                   all           
          Suite to help with Debian packages in Git repositories
ii  mpv                                   0.20.0-1+b1             amd64         
          video player based on MPlayer/mplayer2
ii  pass                                  1.6.5-3                 all           
          lightweight directory-based password manager
ii  pdfgrep                               1.4.1-2                 amd64         
          search in pdf files for strings matching a regular expression
ii  pulseaudio                            9.0-4                   amd64         
          PulseAudio sound server
ii  sysdig                                0.9.0-1                 amd64         
          system-level exploration and troubleshooting tool
ii  systemd                               231-9                   amd64         
          system and service manager
ii  systemd-container                     231-9                   amd64         
          systemd container/nspawn tools
ii  udev                                  231-9                   amd64         
          /dev/ and hotplug management daemon
ii  vlc-nox                               2.2.4-6+b2              amd64         
          multimedia player and streamer (without X support)

The following files were modified:

/etc/systemd/resolved.conf
/etc/pulse/daemon.conf

dpkg-query: no path found matching pattern /usr/share/zsh/vendor-functions/


-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.8.0-tp520-btrfstrim+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages zsh depends on:
ii  dpkg        1.18.10
ii  libc6       2.24-4
ii  libcap2     1:2.25-1
ii  libtinfo5   6.0+20160917-1
ii  zsh-common  5.2-5

Versions of packages zsh recommends:
ii  libc6         2.24-4
ii  libncursesw5  6.0+20160917-1
ii  libpcre3      2:8.39-2

Versions of packages zsh suggests:
pn  zsh-doc  <none>

-- no debconf information

Reply via email to